# $Revision: 1.8 $, $Date: 2005/09/17 10:33:56 $
Summary:	Readline Tcl extension
Summary(pl):	Rozszerzenie Readline dla Tcl-a
Name:		tclreadline
Version:	2.1.0
Release:	4
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/tclreadline/%{name}-%{version}.tar.gz
# Source0-md5:	219d0247a1373578080940ebde53bdd0
Patch0:		%{name}-amd64.patch
URL:		http://tclreadline.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	readline-devel
BuildRequires:	tcl-devel >= 8.3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tclreadline package makes the GNU readline library available for
interactive Tcl shells. This includes history expansion and
file/command completion. Command completion for all Tcl/Tk commands is
provided and commmand completers for user defined commands can be
easily added. tclreadline can also be used for Tcl scripts which want
to use a shell like input interface. In this case the
::tclreadline::readline read command has to be called explicitly.

The advantage of tclreadline is that it uses the callback handler
mechanism of the GNU readline while it processes Tcl events. This way
X events from a wish GUI will processed as well as events from the
tclreadline line interface.

%description -l pl
Pakiet tclreadline udostpnia bibliotek GNU Readline dla
interaktywnych powok Tcl-a. Obejmuje to rozwijanie historii oraz
dopenianie nazw plikw i polece. Udostpnione jest dopenianie
polece dla wszystkich polece Tcl/Tk, a obsuga dopeniania polece
zdefiniowanych przez uytkownika moe by atwo dodana. tclreadline
moe by uywany take dla skryptw Tcl chccych uywa interfejsu
wejciowego w stylu powoki. W tym przypadku polecenie czytajce
::tclreadline::readline musi by wywoane explicite.

Zalet tclreadline jest to, e uywa mechanizmu obsugi przez callback
z GNU readline podczas przetwarzania zdarze Tcl. W ten sposb bd
przetwarzane zarwno zdarzenia X z interfejsu graficznego wish, jak i
te z interfejsu liniowego tclreadline.

%package devel
Summary:	Readline Tcl extension developement files
Summary(pl):	Pliki do tworzenia z wykorzystaniem tclreadline
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description devel
Readline Tcl extension developement files.

%description devel -l pl
Pliki do tworzenia z wykorzystaniem tclreadline.

%package static
Summary:	Static Readline Tcl extension libraries
Summary(pl):	Statyczne biblioteki tclreadline
Group:		Development/Languages/Tcl
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Readline Tcl extension libraries.

%description static -l pl
Statyczne biblioteki tclreadline.

%prep
%setup -q
%patch0 -p1

%build
rm -f config/missing
%{__libtoolize}
%{__aclocal} -I aux
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

ln -sf libtclreadline-%{version}.so $RPM_BUILD_ROOT%{_libdir}/libtclreadline.so.0.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/%{name}%{version}
%{_libdir}/%{name}%{version}/*.tcl
%{_mandir}/mann/*.n*

%files devel
%defattr(644,root,root,755)
%{_libdir}/*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tclreadline.spec,v $
Revision 1.8  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.7  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.6  2004/08/18 16:15:58  havner
- rel 3

Revision 1.5  2004/08/18 16:10:15  havner
- fix amd64 (I hope)

Revision 1.4  2004/02/22 21:43:03  blues
- ooops

Revision 1.3  2004/02/22 21:41:26  blues
- release 2 - link is needed for working of included by tcl

Revision 1.2  2004/02/21 22:48:27  qboosh
- pl description, unified capitalization

Revision 1.1  2004/02/21 22:03:07  blues
- readline support for tcl
